#ifndef POPMENU_H
#define POPMENU_H
#include <QMenu>

class PopMenu : public QMenu
{
    Q_OBJECT
public:
    PopMenu();

    void setStringList(QStringList strings);
    void showPopLists(QPoint pos);

protected:
    // esc按键
    void keyPressEvent(QKeyEvent* event) ;
    void hideEvent(QHideEvent* event);

Q_SIGNALS:
    //隐藏信号
    void listHide();

    // 列表项点击
    void listAactive(int index);
};

#endif // POPMENU_H
